Tracker Electronic I-9 - System Requirements

Software requirements for accessing Tracker Electronic I-9

 Supported Operating Systems
 Supported Browsers
 Java Requirements
 Other Requirements


Any desktop OS that supports Internet Explorer or Firefox


Microsoft Internet Explorer 11*
Firefox or Internet Explorer (for Single Use New Hire Login Page)

Java not required
I9 Managers utilizing E-Verify may need to install Adobe Flash in order to complete mandatory web training

What it's for:
System for processing and storage of the Federal Form I-9, including E-Verify when appropriate
Login page:
https://appserv6.admin.uillinois.edu/appslogin/servlet/appslogin?appName=I9TrackerSSO

*For instructions on how to set up IE11 see: [Link for document 59392 is unavailable at this time.]